Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232416 - consider splitting the spell checking dictionaries of openoffice.org-dict-cs_CZ into a "hunspell-cs" package
Summary: consider splitting the spell checking dictionaries of openoffice.org-dict-cs_...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org-dict-cs_CZ
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 12:57 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: openoffice.org-dict-cs_CZ-20060303-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-27 10:50:44 UTC


Attachments (Terms of Use)

Description Caolan McNamara 2007-03-15 12:57:14 UTC
Description of problem:

openoffice.org-dict-cs_CZ contains the hyphenation and spellchecker dictionaries
for openoffice.org for Czech.

But since this package was started we have now split all the dictionaries out of
OpenOffice.org and into separate "hunspell-language" packages, e.g. see
hunspell-da for Danish. 

If the openoffice.org-dict-cs_CZ is split so that the spell checking
dictionaries are "hunspell-cs" (e.g. just follow the rest of the hunspell-lang
src.rpm patterns) then we get 
a) a more consistent naming scheme for the dictionaries
b) automatically Czech will be available to firefox when it integrates the
forthcoming upgrade to using hunspell. 
c) there's no need for any special triggers for installing spellchecking
dictionaries requires, their mere presence according to the naming scheme of
cs_CZ.aff and cs_CZ.dic in the /usr/share/hunspell dictionary will make OOo see them

Hyphenation dictionaries are not affected by this split of the spellchecking
dictionaries, they still need the messy trigger. Note that OOo for FC-7 is now
in /usr/lib/openoffice.org so you need to change your .spec anyway to track the
new (final) location of OOo.

Version-Release number of selected component (if applicable):
openoffice.org-dict-cs_CZ-20060303-4.fc7

Comment 1 Tomas Mraz 2007-03-26 20:15:45 UTC
In the current hunspell-en-0.20040623-1 the installation directory is actually
/usr/share/myspell. Is this a final location for Fedora 7?


Comment 2 Caolan McNamara 2007-03-27 07:27:58 UTC
yeah, hunspell defaults to looking into this directory for dictionaries because
it is based on "myspell" which defaulted to that location. hunspell understands
the myspell format as well as it's hunspell extended format.

Comment 3 Tomas Mraz 2007-03-27 07:33:34 UTC
So should I use /usr/share/myspell or /usr/share/hunspell?


Comment 4 Caolan McNamara 2007-03-27 08:19:54 UTC
/usr/share/myspell

Comment 5 Tomas Mraz 2007-03-27 10:50:44 UTC
I've added the hunspell-cs subpackage in current Fedora development packages.



Note You need to log in before you can comment on or make changes to this bug.